Closed Bug 696544 Opened 8 years ago Closed 7 years ago

Intermittent places/tests/expiration/test_analyze_runs.js | test failed (with xpcshell return code: 0) and | true == false

Categories

(Toolkit :: Places, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED WORKSFORME
Tracking Status
b2g18 --- disabled
b2g18-v1.0.1 --- disabled

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

https://tbpl.mozilla.org/php/getParsedLog.php?id=6978370&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2011-10-21 18:18:49 PDT for push 41f8fb72be22

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js | test failed (with xpcshell return code: 0), see following log:
...
TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js | [do_check_analyze_ran : 35] true == true

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js | true == false - See following stack:
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_throw :: line 453
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: _do_check_eq :: line 547
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_eq :: line 568
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/head.js :: do_check_false :: line 596
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js :: do_check_analyze_ran :: line 44
JS frame :: /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js :: <TOP_LEVEL> :: line 64
JS frame :: resource:///components/nsPlacesExpiration.js :: PEX_handleCompletion :: line 724
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326363164.1326366417.13720.gz
Linux comm-central-trunk debug test xpcshell on 2012/01/12 02:12:44
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1334014595.1334017760.11289.gz
WINNT 5.2 comm-central test xpcshell on 2012/04/09 16:36:35

TEST-UNEXPECTED-FAIL | e:\buildbot\comm-central-win32-opt-unittest-xpcshell\build\xpcshell\tests\toolkit\components\places\tests\expiration\test_analyze_runs.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/buildbot/comm-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/toolkit/components/places/tests/expiration/test_analyze_runs.js | true == false - See following stack:
Whiteboard: [orange]
Resolving WFM keyword:intermittent-failure bugs last modified >3 months ago, whose whiteboard contains none of:
{random,disabled,marked,fuzzy,todo,fails,failing,annotated,time-bomb,leave open}

There will inevitably be some false positives; for that (and the bugspam) I apologise. Filter on orangewfm.
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.